3 Replies Latest reply on Aug 16, 2007 7:22 PM by Thomas Heute

    Can not start JBOSS Server

    Georges MAHOP Newbie

      Hi

      When i try to start the server i get the following exception :

      
      =========================================================================
      
       JBoss Bootstrap Environment
      
       JBOSS_HOME: /home/dev/Desktop/jboss-portal-2.6.1.GA
      
       JAVA: /usr/java/j2sdk1.4.2_12/bin/java
      
       JAVA_OPTS: -Dprogram.name=run.sh -server -Xms128m -Xmx512m -Dsun.rmi.dgc.client.gcInterval=3600000 -Dsun.rmi.dgc.server.gcInterval=3600000 -Djava.net.preferIPv4Stack=true
      
       CLASSPATH: /home/dev/Desktop/jboss-portal-2.6.1.GA/bin/run.jar:/usr/java/j2sdk1.4.2_12/lib/tools.jar
      
      =========================================================================
      
      java.lang.UnsupportedClassVersionError: javax/management/NotificationEmitter (Unsupported major.minor version 49.0)
       at java.lang.ClassLoader.defineClass0(Native Method)
       at java.lang.ClassLoader.defineClass(ClassLoader.java:539)
       at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:123)
       at java.net.URLClassLoader.defineClass(URLClassLoader.java:251)
       at java.net.URLClassLoader.access$100(URLClassLoader.java:55)
       at java.net.URLClassLoader$1.run(URLClassLoader.java:194)
       at java.security.AccessController.doPrivileged(Native Method)
       at java.net.URLClassLoader.findClass(URLClassLoader.java:187)
       at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
       at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
       at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302)
       at java.lang.ClassLoader.defineClass0(Native Method)
       at java.lang.ClassLoader.defineClass(ClassLoader.java:539)
       at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:123)
       at java.net.URLClassLoader.defineClass(URLClassLoader.java:251)
       at java.net.URLClassLoader.access$100(URLClassLoader.java:55)
       at java.net.URLClassLoader$1.run(URLClassLoader.java:194)
       at java.security.AccessController.doPrivileged(Native Method)
       at java.net.URLClassLoader.findClass(URLClassLoader.java:187)
       at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
       at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
       at org.jboss.system.server.ServerLoader.createServer(ServerLoader.java:286)
       at org.jboss.system.server.ServerLoader.load(ServerLoader.java:268)
       at org.jboss.Main.boot(Main.java:194)
       at org.jboss.Main$1.run(Main.java:508)
       at java.lang.Thread.run(Thread.java:534)
      
      


      I use VMWARE Player 2.0.0 and the "java -version" command displays

      java version "1.4.2_12"
      Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_12-b03)
      Java HotSpot(TM) Client VM (build 1.4.2_12-b03, mixed mode)
      


      How can i resolve this whithout changing my VM version?

      JBOSS Portal 2.6.1GA
      VMWARE Player 2.0.0
      Java 1.4